<?php
// Include database connection
include('mysqli_connect_car.php');

// Initialize the orderResults variable
$orderResults = '';

// Check if the form is submitted and process the date range
if (isset($_POST['year'], $_POST['month'], $_POST['day'])) {
    $year = $_POST['year'];
    $month = $_POST['month'];
    $day = $_POST['day'];

    // Combine the year, month, and day into a date format (YYYY-MM-DD)
    $orderDate = "$year-$month-$day";

    // Debugging: Check if the correct date format is being constructed
    // echo "Searching for date: " . $orderDate . "<br>";

    // Query to get orders by the selected date
    $query = "SELECT orderNumber, orderDate, status FROM orders WHERE orderDate = '$orderDate'";

    // Execute the query
    $result = mysqli_query($dbc, $query);

    // Check if there was an issue with the query
    if (!$result) {
        die('Error in query: ' . mysqli_error($dbc)); // Display SQL errors if query fails
    }

    // Get the number of rows returned
    $row_cnt = mysqli_num_rows($result);

    // Display order results
    if ($row_cnt > 0) {
        $orderResults = "Orders found for $orderDate:<br>";
        while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
            $orderResults .= "Order Number: " . $row['orderNumber'] . "<br>" .
                             "Order Date: " . $row['orderDate'] . "<br>" .
                             "Status: " . $row['status'] . "<br><br>";
        }
    } else {
        $orderResults = "No orders found for $orderDate."; // Display the 'no orders' message
    }
}

// If there are results, display them
if (!empty($orderResults)) {
    echo "<h3>Order Results</h3>" . $orderResults;
}
?>