<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Search Forms</title>
</head>
<body>

<!-- Employee number search form -->
<form action="handle_employee.php" method="post">
    <fieldset><legend><b>Search Employee by Employee Number:</b></legend>
    <p>Select an employee number:
    <select name="employee_number">
        <?php
        include('mysqli_connect_car.php'); 
        // Query to get employee numbers and names
        $query = "SELECT employeeNumber, CONCAT(firstName, ' ', lastName) AS employeeName FROM employees ORDER BY employeeNumber ASC";
        $result = mysqli_query($dbc, $query);
        while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
            $employeeNumber = $row['employeeNumber'];
            $employeeName = $row['employeeName'];
            echo "<option value=\"$employeeNumber\">$employeeNumber - $employeeName</option>";
        }
        ?>
    </select>
    </p>
    <div align="center"><input type="submit" name="search" value="Search"></div>
    </fieldset>
</form>
<br><br>

<!-- Order date range search form -->
<form action="handle_date_range.php" method="post">
    <fieldset><legend><b>Search Orders by Order Date Range:</b></legend>
    <p>Year:
     <select name="year">
        <option value="2001">2001</option>
        <option value="2002">2002</option>
        <option value="2003">2003</option>
        <option value="2004">2004</option>
    </select>
    </p>
    <p>Month:
    <select name="month">
        <option value="01">January</option>
        <option value="02">February</option>
        <option value="03">March</option>
        <option value="04">April</option>
        <option value="05">May</option>
        <option value="06">June</option>
        <option value="07">July</option>
        <option value="08">August</option>
        <option value="09">September</option>
        <option value="10">October</option>
        <option value="11">November</option>
        <option value="12">December</option>
    </select>
    </p>
    <p>Day:
    <select name="day">
        <?php
        for ($i = 1; $i <= 31; $i++) {
            $dayValue = str_pad($i, 2, '0', STR_PAD_LEFT); // php core functions documentation PHP str_pad() function
            echo "<option value=\"$dayValue\">$dayValue</option>";
        }
        ?>
    </select>
    </p>
    <div align="center"><input type="submit" name="search" value="Search"></div>
    </fieldset>
</form>

<?php
// Order Results Display
if (isset($orderResults) && !empty($orderResults)) {
    echo "<h3>Order Results</h3>" . $orderResults;
}
?>

</body>
</html>